%global docdir  %{_docdir}/%{name}-%{version}/doc

Name:           portecle
Version:        1.4
Release:        %mkrel 1
Summary:        Multipurpose keystore and certificate tool

Group:          Applications/System
License:        GPLv2+
URL:            http://portecle.sourceforge.net/
Source0:        http://downloads.sourceforge.net/portecle/%{name}-%{version}-src.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  ant
BuildRequires:  bouncycastle >= 1.38
BuildRequires:  desktop-file-utils
BuildRequires:  jpackage-utils >= 1.7.4
Requires:       bouncycastle >= 1.38
Requires:       jpackage-utils
Requires:       hicolor-icon-theme
BuildRequires:  java-devel >= 1.6.0
Requires:       jre >= 1.6.0

%description
Portecle is a user friendly GUI application for creating, managing and
examining keystores, keys, certificates, certificate requests,
certificate revocation lists and more.


%prep
%setup -q -n %{name}-%{version}-src
ln -sf %{_javadir}/bcprov.jar lib/
rm doc/.htaccess
cp -p src/main/net/sf/portecle/images/splash.png doc/images/


%build
%ant -Djar.classpath= -Dhelpbaseurl=file://%{docdir}/ jar


%install
rm -rf $RPM_BUILD_ROOT

install -Dpm 644 build/portecle.jar $RPM_BUILD_ROOT%{_javadir}/portecle.jar

install -Dpm 644 src/icons/portecle.png \
    $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/portecle.png
desktop-file-install --vendor=fedora --mode=644 \
    --dir=$RPM_BUILD_ROOT%{_datadir}/applications src/etc/portecle.desktop

%jpackage_script net.sf.portecle.FPortecle "-splash:%{docdir}/images/splash.png" "" bcprov:portecle portecle portecle


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    update-desktop-database %{_datadir}/applications &>/dev/null
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
update-desktop-database %{_datadir}/applications &>/dev/null
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%defattr(-,root,root,-)
%doc README.txt LICENSE.txt NEWS.txt doc/
%{_bindir}/portecle
%{_javadir}/portecle.jar
%{_datadir}/applications/*-portecle.desktop
%{_datadir}/icons/hicolor/32x32/apps/portecle.png


%changelog
* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 23 2009 Ville Skyttä <ville.skytta at iki.fi> - 1.4-1
- Update to 1.4.
- Ship docs unbundled from jar (#425834).

* Fri Feb 20 2009 Ville Skyttä <ville.skytta at iki.fi> - 1.3-4
- Improve icon cache and desktop database refresh scriptlets.

* Fri Mar 14 2008 Ville Skyttä <ville.skytta at iki.fi> - 1.3-3
- Adjust to icedtea->openjdk changes.

* Thu Jan 10 2008 Ville Skyttä <ville.skytta at iki.fi> - 1.3-2
- Update GTK icon cache in post(un)install scriptlets (#425834).

* Sun Dec 16 2007 Ville Skyttä <ville.skytta at iki.fi> - 1.3-1
- First build.
